org.apache.cassandra.service

## Class AntiEntropyService.TreeRequest

- java.lang.Object
- - org.apache.cassandra.service.AntiEntropyService.TreeRequest

- Enclosing class:
    AntiEntropyService

      public static class AntiEntropyService.TreeRequest
      extends java.lang.Object

  A tuple of table, cf, address and range that represents a location we have an outstanding TreeRequest for.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `AntiEntropyService.TreeRequest.TreeRequestSerializer`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `AntiEntropyService.CFPair` | `cf`
    `java.net.InetAddress` | `endpoint`
    `Range<Token>` | `range`
    `static AntiEntropyService.TreeRequest.TreeRequestSerializer` | `serializer`
    `java.lang.String` | `sessionid`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AntiEntropyService.TreeRequest(java.lang.String sessionid, java.net.InetAddress endpoint, Range<Token> range, AntiEntropyService.CFPair cf)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `MessageOut<AntiEntropyService.TreeRequest>` | `createMessage()`
    `boolean` | `equals(java.lang.Object o)`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serializer

          public static final AntiEntropyService.TreeRequest.TreeRequestSerializer serializer

    - #### sessionid

          public final java.lang.String sessionid

    - #### endpoint

          public final java.net.InetAddress endpoint

    - #### range

          public final Range<Token> range

    - #### cf

          public final AntiEntropyService.CFPair cf

  - ### Constructor Detail

    - #### AntiEntropyService.TreeRequest

          public AntiEntropyService.TreeRequest(java.lang.String sessionid,
                                        java.net.InetAddress endpoint,
                                        Range<Token> range,
                                        AntiEntropyService.CFPair cf)

  - ### Method Detail

    - #### hashCode

          public final int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public final boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### createMessage

          public MessageOut<AntiEntropyService.TreeRequest> createMessage()

Copyright © 2014 The Apache Software Foundation